/////////////////////////////////////////////////
//
//  filename: Piske.cpp
//  author:Chafumi Touji
//  date: 2021/07/04 ver1.00
//
/////////////////////////////////////////////////

#ifndef __PISKE_H__
#define __PISKE_H__

class CPCMAudio;

class CPiske : public CCharacterBase {
public:

	bool	Move;
	bool	Hit;
	float	HitSpeed;
	float	HitVecX, HitVecY;
	float	RandomRotZ;
	float	WalkingSpeed;

	CPCMAudio* Audio;
	bool	AudioPlaying;

public:
	
	CPiske();
	CPiske(CDispWindow *disp_window);
	~CPiske();
	void PreAction();
	void Action();
	void OnKeyDown(UINT nChar);
	void OnKeyUp(UINT nChar);
	void OnLButtonDown(UINT nFlag, CPoint point);
	void OnLButtonUp(UINT nFlag, CPoint point);
	void OnRButtonDown(UINT nFlag, CPoint point);
	void OnRButtonUp(UINT nFlag, CPoint point);
};

#endif